Just an FYI note that we recently addressed several bugs with the extension. It should now work properly with Magento 1.5.x.x - 1.7.x.x version of Community Edition.

Thank you all for the great feedback! It is appreciated.

-Ron